Run of lintian-fixes for cyrus-imapd

Try this locally (using the lintian-brush package):

debcheckout cyrus-imapd
cd cyrus-imapd
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
[2021-04-06 21:46:15] Running ['lintian-brush']
[2021-04-06 21:46:15] Opening branch at https://salsa.debian.org/debian/cyrus-imapd.git/,branch=master
[2021-04-06 21:46:17] Using cached branch https://janitor.debian.net/git/cyrus-imapd/,branch=debian%2Flatest
[2021-04-06 21:47:46] Total 14072 (delta 367), reused 120 (delta 120), pack-reused 13662
[2021-04-06 21:47:46] 
[2021-04-06 21:48:36] Total 1043 (delta 375), reused 373 (delta 373), pack-reused 664
[2021-04-06 21:48:42] 2)
[2021-04-06 21:48:43] Total 12188 (delta 9148), reused 9689 (delta 9017), pack-reused 2266
[2021-04-06 22:08:08] All changes applied successfully.
[2021-04-06 22:08:08] Workspace ready - starting.
[2021-04-06 22:08:16] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf. Specify --update-changelog to override.
[2021-04-06 22:08:33] only add-on fixers found
[2021-04-06 22:08:33] Opened schroot session unstable-amd64-sbuild-e026ba86-4eea-4bc0-ad0f-24cc772aee78 (from unstable-amd64-sbuild)
[2021-04-06 22:08:33] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unaccpetable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7fddaad3a5b0>, [functools.partial(<function python_tie_breaker at 0x7fddb0fec670>, <GitWorkingTree of /tmp/tmpb8ltqxu4/cyrus-imapd>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-e026ba86-4eea-4bc0-ad0f-24cc772aee78'), <function popcon_tie_breaker at 0x7fdda98d0e50>]))]
[2021-04-06 22:08:33] Building debian packages, running 'sbuild -A -s -v'.
[2021-04-06 22:34:07] Built ['cyrus-imapd_3.4.0~rc1-1~jan+lint1_amd64.changes'].
[2021-04-06 22:34:08] Running lintian
[2021-04-06 22:35:03] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
[2021-04-06 22:38:57] warning: ignoring broken ref refs/heads/unchanged/main
[2021-04-06 22:38:57] Pushing packaging branch cache to https://janitor.debian.net/git/cyrus-imapd,branch=debian%2Flatest
Traceback (most recent call last):
  File "/usr/lib/python3.9/http/client.py", line 555, in _get_chunk_left
    chunk_left = self._read_next_chunk_size()
  File "/usr/lib/python3.9/http/client.py", line 522, in _read_next_chunk_size
    return int(line, 16)
ValueError: invalid literal for int() with base 16: b''

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/http/client.py", line 587, in _readinto_chunked
    chunk_left = self._get_chunk_left()
  File "/usr/lib/python3.9/http/client.py", line 557, in _get_chunk_left
    raise IncompleteRead(b'')
http.client.IncompleteRead: IncompleteRead(0 bytes read)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 267, in run_worker
    push_branch(
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 178, in push_branch
    target.push_branch(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 680, in push_branch
    dw_result = self.send_pack(get_changed_refs, generate_pack_data)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 486, in send_pack
    return self._client.send_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 2006, in send_pack
    ref_status = self._handle_receive_pack_tail(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 696, in _handle_receive_pack_tail
    self._read_side_band64k_data(proto, channel_callbacks)
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 586, in _read_side_band64k_data
    for pkt in proto.read_pkt_seq():
  File "/srv/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 285, in read_pkt_seq
    pkt = self.read_pkt_line()
  File "/srv/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 228, in read_pkt_line
    sizestr = read(4)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1913, in read
    return self._actual.read(amt)
  File "/usr/lib/python3.9/http/client.py", line 458, in read
    n = self.readinto(b)
  File "/usr/lib/python3.9/http/client.py", line 492, in readinto
    return self._readinto_chunked(b)
  File "/usr/lib/python3.9/http/client.py", line 603, in _readinto_chunked
    raise IncompleteRead(bytes(b[0:total_bytes]))
http.client.IncompleteRead: IncompleteRead(0 bytes read)

Summary

Full worker log Full build log